# CYapfNodeT< Tkey_, Tnode > Struct Template Reference

Yapf Node base. More...

`#include <yapf_node.hpp>`

## Public Types
typedef Tkey_ | Key
typedef Tnode | Node
## Public Member Functions
FORCEINLINE void | Set (Node *parent, TileIndex tile, Trackdir td, bool is_choice)
FORCEINLINE Node * | GetHashNext ()
FORCEINLINE void | SetHashNext (Node *pNext)
FORCEINLINE TileIndex | GetTile () const
FORCEINLINE Trackdir | GetTrackdir () const
FORCEINLINE const Tkey_ & | GetKey () const
FORCEINLINE int | GetCost () const
FORCEINLINE int | GetCostEstimate () const
FORCEINLINE bool | operator< (const Node &other) const
void | Dump (DumpTarget &dmp) const
## Data Fields
Tkey_ | m_key
Node * | m_hash_next
Node * | m_parent
int | m_cost
int | m_estimate

## Detailed Description

### template<class Tkey_, class Tnode>
struct CYapfNodeT< Tkey_, Tnode >

Yapf Node base.

Definition at line 40 of file yapf_node.hpp.

The documentation for this struct was generated from the following file:

- src/yapf/yapf_node.hpp